Tagged: avid media composer 6.5 system requirements